"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useInputHandleKeyDown;
var _ahooks = require("ahooks");
function useInputHandleKeyDown({
  onEnterPress,
  onKeyDown,
  nativeInputRef,
  enterKeyHint
}) {
  const handleKeydown = e => {
    if (onEnterPress && (e.code === 'Enter' || e.keyCode === 13)) {
      onEnterPress(e);
    }
    onKeyDown === null || onKeyDown === void 0 ? void 0 : onKeyDown(e);
  };
  (0, _ahooks.useIsomorphicLayoutEffect)(() => {
    const ele = nativeInputRef.current;
    if (!enterKeyHint || !ele) return;
    ele.setAttribute('enterkeyhint', enterKeyHint);
    return () => {
      ele.removeAttribute('enterkeyhint');
    };
  }, [enterKeyHint]);
  return handleKeydown;
}